package com.adealink.weparty.profile.relation.viewmodel

import com.adealink.weparty.commonui.BaseFragment
import com.adealink.weparty.profile.relation.FansFragment
import com.adealink.weparty.profile.relation.FollowFragment

enum class RelationShipTab(val index: Int) {
    /**
     * 关注
     */
    FOLLOW(0),

    /**
     * 粉丝
     */
    FANS(1);
}

data class Tab(
    val type: RelationShipTab,
    val fragmentBuilder: () -> BaseFragment
)

val FOLLOW_TAB = Tab(
    type = RelationShipTab.FOLLOW,
    fragmentBuilder = {
        FollowFragment()
    }
)

val FANS_TAB = Tab(
    type = RelationShipTab.FANS,
    fragmentBuilder = {
        FansFragment()
    }
)


val RELATIONSHIP_TABS = listOf(
    FOLLOW_TAB, FANS_TAB
)